Deployments
Any chain deployment by ID
GET
/
v1
/
chains
/
{chain_id}
/
deployments
/
{chain_deployment_id}
cURL
curl --request GET \
--url https://api.baseten.co/v1/chains/{chain_id}/deployments/{chain_deployment_id} \
--header "Authorization: Bearer $BASETEN_API_KEY"import requests
import os
API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
url = "https://api.baseten.co/v1/chains/{chain_id}/deployments/{chain_deployment_id}"
headers = {"Authorization": f"Bearer {API_KEY}"}
response = requests.request(
"GET",
url,
headers=headers,
json={}
)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.baseten.co/v1/chains/{chain_id}/deployments/{chain_deployment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"chain_id": "<string>",
"environment": "<string>",
"chainlets": [
{
"id": "<string>",
"name": "<string>",
"autoscaling_settings": {
"min_replica": 123,
"max_replica": 123,
"autoscaling_window": 123,
"scale_down_delay": 123,
"concurrency_target": 123,
"target_utilization_percentage": 123,
"target_in_flight_tokens": 123,
"max_scale_down_rate": 123
},
"instance_type_name": "<string>",
"active_replica_count": 123
}
]
}Authorizations
Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.
Response
200 - application/json
A deployment of a chain.
Unique identifier of the chain deployment
Time the chain deployment was created in ISO 8601 format
Unique identifier of the chain
Environment the chain deployment is deployed in
Chainlets in the chain deployment
Show child attributes
Show child attributes
Status of the chain deployment
Available options:
BUILDING, DEPLOYING, DEPLOY_FAILED, LOADING_MODEL, ACTIVE, UNHEALTHY, BUILD_FAILED, BUILD_STOPPED, DEACTIVATING, INACTIVE, FAILED, UPDATING, SCALED_TO_ZERO, WAKING_UP Was this page helpful?
⌘I
cURL
